%define modulename ssl

Name: python-module-%modulename
Version: 1.15
Release: %branch_release alt1

%setup_python_module %modulename

Summary: SSL wrapper for socket objects (2.3, 2.4, 2.5 compatible)
Summary(ru_RU.UTF-8): SSL вапер для объектов socket (сивместим с 2.3, 2.4, 2.5)
License: Python (MIT-like)
Group: Development/Python

Url: http://docs.python.org/dev/library/ssl.html
Packager: Aleksey Avdeev <solo@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-alt-setup.py-1.patch

BuildRequires(pre): rpm-macros-branch
#BuildPreReq: %py_dependencies setuptools
BuildPreReq: libssl-devel
BuildPreReq: libkrb5-devel

%description
The old socket.ssl() support for TLS over sockets is being
superseded in Python 2.6 by a new 'ssl' module.  This package
brings that module to older Python releases, 2.3.5 and up (it may
also work on older versions of 2.3, but we haven't tried it).

It's quite similar to the 2.6 ssl module.  There's no stand-alone
documentation for this package; instead, just use the development
branch documentation for the SSL module at
http://docs.python.org/dev/library/ssl.html.

%prep
%setup
%patch -p1
sed -r -i 's@/usr/lib@%_libdir@g' setup.py

%build
%python_build

%install
%python_install

%files
%doc PKG-INFO test/
%python_sitelibdir/%modulename/
%python_sitelibdir/*.egg-info

%changelog
* Fri Aug 21 2009 Aleksey Avdeev <solo@altlinux.ru> 1.15-alt1
- initial build
